if not srb2gb then rawset(_G, "srb2gb", {}) end

local state = {"STATEOFF", "STATERUN", "STATEERROR"}

for k, v in ipairs(state)
	srb2gb[v] = k - 1
end

srb2gb.REGB = 0
srb2gb.REGC = 1
srb2gb.REGD = 2
srb2gb.REGE = 3
srb2gb.REGH = 4
srb2gb.REGL = 5
srb2gb.REGA = 7

srb2gb.REGBC = 0
srb2gb.REGDE = 1
srb2gb.REGHL = 2
srb2gb.REGSP = 3
srb2gb.REGAF = 3

srb2gb.FLAGZ = 7
srb2gb.FLAGN = 6
srb2gb.FLAGH = 5
srb2gb.FLAGC = 4
srb2gb.FLAGZMASK = 1 << srb2gb.FLAGZ
srb2gb.FLAGNMASK = 1 << srb2gb.FLAGN
srb2gb.FLAGHMASK = 1 << srb2gb.FLAGH
srb2gb.FLAGCMASK = 1 << srb2gb.FLAGC

srb2gb.INTVBLANK = 1<<0
srb2gb.INTSTAT = 1<<1
srb2gb.INTTIMER = 1<<2
srb2gb.INTSERIAL = 1<<3
srb2gb.INTJOY = 1<<4

srb2gb.STOPNO = 0
srb2gb.STOPHALT = 1
srb2gb.STOPSTOP = 2